\section{Concepts}

\begin{description}
	\item[Cybersecurity] \hfill \\
	Cybersecurity expands the traditional application of information security. We have to recognize that every organization is part of a larger digital ecosystem. 
	\item[Asset] \hfill \\ 
	An asset is anything within an environment that should be protected. The loss or disclosure of an asset could 	result in: an overall security compromise, loss of productivity, reduction in profits, additional  expenditures, discontinuation of the organisation, numerous intangible consequences.
	\item[Assets of an organisation] \hfill \\
	Information, System, Devices, Facilities, Personell, Intellectual Property.
\end{description}
 
\subsection{How to protect Intellectual Property}

\begin{description}
	\item[What is intellectual property?] \hfill \\ 
	Assets that are intangible are collectively referred to as intellectual property. (Brand names, Creative output, recipes, production techniques)
	\item[Copyright  $\copyright$] \hfill \\
	Copyright law guarantees the creators of “original works of authorship” protection against the unauthorized duplication of their work.  Copyright law protects the actual source code. It does not protect the ideas or process behind the software. 
	\item[Trademarks \textsuperscript{TM}  \textregistered] \hfill \\
	There is also protection for trademarks, which are words, slogans, and logos used to identify a company and its products or services. If you use a trademark in the course of your public activities, you are automatically protected under any relevant trademark law and can use the ™ symbol to show that you intend to protect words or slogans as trademarks. If you want official recognition of your trademark, you can register it with the Swiss Federal Institute of Intellectual Property. Once you've received the registration certificate, you can denote your mark as registered trademark \textregistered.
	\item[Patents] \hfill \\
	Patents protect intellectual property rights of inventors. They provide a period of 20 years (from the date of initial application) during which the inventor is granted exclusive rights to use the invention (whether directly or via licensing agreements). At the end of the patent period the invention  is publicly available. The three main requirements of patents are new, useful, not obvious. Patent law does not provide adequate protection for computer software products.
	\item[Trade Secrets] \hfill \\
	Trade secret protection is one of the best way to protect computer software. This is the technique used by large software development companies such as Microsoft, Cisco, to protect their core base of intellectual property.
\end{description}

\subsection{CIA Triad}
The primary goal and objective of a security infrastructure is the protection of the \textbf{confidentiality, integrity, and availability (CIA)} of the assets of a company.

\begin{figure}[h!]
  \center
  \includegraphics[width=6cm]{ciatriad}
  \caption{CIA Triad}
\end{figure}

\begin{description}
	\item[Confidentiallity] \hfill \\ 
	Confidentiality protection provides a means for authorized users to access and interact with resources, but it actively prevents unauthorized users from doing so.  For confidentiality to be maintained on a network, data must be protected from unauthorized access, use, or disclosure while in storage, in process, and in transit. Example security controls: encryption, access controls.
	\item[Integrity] \hfill \\ 
	Integrity protection prevents unauthorized alterations of data. For integrity to be maintained, objects must be intentionally modified by only authorized subjects. Alterations should not occur while the object is in storage, in transit, or in process. Example security controls: Intrusion detection systems, hash verifications.
	\item[Availability] \hfill \\
	Authorized subjects are granted timely and uninterrupted access to objects. An acceptable level of performance should be guaranteed and interruptions should be handled quickly. Example security controls: redundancy, maintain reliable backups, prevent data loss or desctruction.
	\item[Nonrepudiation] \hfill \\
	Ensures that the subject of an activity or who caused an event is not able to deny having performed an action or cannot deny that the event occurred.
	\item[Accountability] \hfill \\
	Being responsible or obligated for actions and results. Nonrepudiation is an essential part of accountability. A suspect cannot be held accountable if they can repudiate the claim against them.
\end{description}

\subsection{Data Classification}
Data classification is used to determine how much effort, money, and resources are allocated to protect the data and control access to it.

\begin{description}
	\item[Data at Rest] \hfill \\
	Data at rest is any data stored on media such as system hard drives, external USB drives, storage area networks (SANs), and backup tapes.
	\item[Data in Transit] \hfill \\
	Data in transit (sometimes called data in motion) is any data transmitted over a network.
	\item[Data in Use] \hfill \\
	Data in use refers to data in memory or temporary storage buffers, while an application is using it.
	\item[PII - Personal Identifiable information] \hfill \\
	Personally identifiable information (PII) is any information that can identify an individual. NIST: any information that can be used to distinguish or trace an individual’s identity, such as name, social security number, date and place of birth, mother’s maiden name, or biometric records .
	\item[PHI - Personal Health Information] \hfill \\
	Protected health information (PHI) is any health-related information that can be related to a specific person. The Federal Law on Swiss Patient Records (EPDG) came into effect in April 2017 and standardises data protection and data security relating to the exchange of digital health data.
	\item[Proprietary Data] \hfill \\
	Proprietary data refers to any data that helps an organization maintain a competitive edge. This could be code, technical parts,  processes, intellectual property and trade secrets.
\end{description}

\subsubsection{Data classification}
There are different classification levels for the private and military sector.

\begin{figure}[h!]
	\center
	\includegraphics[width=10cm]{milclas}
	\caption{Military Classification Levels}
\end{figure}

\begin{figure}[h!]
  \center
  \includegraphics[width=10cm]{privclas}
  \caption{Commercial Business/Private Sector Classification}
\end{figure}

\subsubsection{Destroying Sensitive Data}
Sensitive data must be destroyed or erased to ensure further data security.

\begin{description}
	\item[Erasing (o)] \hfill \\
	In most cases, the deletion removes only the directory or catalog link to the data. This means the data remains on the drive an can be recovered.
	\item[Clearing (+)] \hfill \\
	This method overwrites the data on the media and makes it unusable and unrecoverable. The method writes a single character over the entire media, writes the character’s complement over the entire media, and finishes by writing random bits over the entire media.
	\item[Purging (++)] \hfill \\
	Is a more intense form of clearing media that prepares media for reuse in less secure environments. The purging process repeats then clearing process multiple times and may combine it with another method such as degaussing.
	\item[Degaussing (+)] \hfill \\
	A degausser creates a strong magnetic field that erases data on some media in a process called degaussing. Attention! Degaussing does not affect CDs, DVDs or SSDs.
	\item[Destruction (++)] \hfill \\
	Its important to make sure that the destroyed media can not be reused. This method includes: incinerating, crushing, shredding, disintegration and dissolving using caustic or acidic chemicals.
\end{description}

\subsection{Threat}
A threat is any potential danger to an asset. Actions that could: damage, destruct, alteration, loss or disclosure of assets.

\begin{description}
	\item[Threat actor] \hfill \\
	A threat actor and agent is someone who intentionally exploits vulnerabilities. This could be a: script kiddie, organised crime groups, state sponsors and governments, hacktivists, terrorists groups.
	\item[Threat intelligence] \hfill \\
	Is the knowledge about an existing or emerging threat to assets, including networks and systems.
	\item[Threat event] \hfill \\
	Are accidental and intentional exploitations of vulnerabilities. This can be natural: earthquake, flood, system failure, human error, power outtage or man-made. 
\end{description}

\subsubsection{STRIDE Model}
The STRIDE threat model us used to categorise threats.

\begin{description}
	\item[Spoofing] \hfill \\
	An attack with the goal of gaining access to a target system through the use of a falsified identity.
	\item[Tampering] \hfill \\
	Any action resulting in unauthorized changes or manipulation of data, whether in transit or in storage. 
	\item[Repudiation] \hfill \\
	The ability of a user or attacker to deny having performed an action or activity. 
	\item[Information disclosure] \hfill \\
	The revelation or distribution of private, confidential, or controlled information to external or unauthorized entities.
	\item[Denial of service (DoS)] \hfill \\
	An attack that attempts to prevent authorized use of a resource. 
	\item[Eelevation of privilege] \hfill \\
	An attack where a limited user account is transformed into an account with greater privileges, powers, and access.
\end{description}

\subsubsection{Vulnerability}
The weakness in an asset is a vulnerability. \textbf{A Common Vulnerabilities and Exposures (CVE)} is a industry-wide standard identification number for vulnerabilities. The Common Vulnerability Scoring System (CVSS) uses the CIA triad principles within the metrics used to calculate the CVVS base score and assigns severity scores to a vulnerability.

\subsubsection{Exploit}
An exploit is a software or a sequence of commands that takes advantage of a vulnerability in order to cause harm to a system or network.

\subsection{Risk Management} 
The overall process of risk management is used to develop and implement information security strategies. The goal of these strategies is to reduce risk and to support the mission of the organization. The primary goal of risk management is to reduce risk to an acceptable level. 

\begin{description}
	\item[Risk Management ] \hfill \\
	Risk management is a detailed process of: identifying factors that could damage or disclose data, evaluating those factors in light of data value and countermeasure cost,  implementing cost-effective solutions for mitigating or reducing risk.
	\item[Countermeasure]
	It is any action or product that reduces risk through the elimination or lessening of a threat or a vulnerability anywhere within an organization.
	\item[Risk analysis] \hfill \\
	The process by which the goals of risk management are achieved: Evaluation, assessment, and the assignment of value for all assets within the organization, examining an environment for risks, evaluating each threat event as to its likelihood of occurring and the cost of the damage it would cause if it did scour, assessing the cost of various countermeasures for each risk, and creating a cost/benefit report for safeguards to present to upper management.
	\item[Asset valuation] \hfill \\
	Asset valuation is a dollar value assigned to an asset based on actual cost and nonmonetary expenses. These can include costs to develop, maintain, administer, advertise, support, repair, and replace an asset.
	\item[Expsoure] \hfill \\
	Exposure means that there is a possibility for an asset loss because of a threat. The quantitative risk analysis value of exposure factor (EF) is calculating how extensive or serious that harm might be.
	\item[Risk] \hfill \\
	The possibility that something could happen to damage, destroy, or disclose data or other resources is known as risk.
	\item[A realised Risk] \hfill \\
	When a risk is realized, a threat agent, a threat actor, or a threat event has taken advantage of a vulnerability and caused harm to or disclosure of one or more assets.
	\item[Attack] \hfill \\
	An attack is the exploitation of a vulnerability by a threat agent.
	\item[Breach] \hfill \\
 	A breach is the occurrence of a security mechanism being bypassed or thwarted by a threat agent.  When a breach is combined with an attack, a penetration, or intrusion, can result.
\end{description}

\begin{figure}[h!]
  \center
  \includegraphics[width=0.5\textwidth]{riskmanagement}
  \caption{Risk Management Process}
\end{figure}

\subsubsection{Risk Assessment Methodologies}
\textbf{Quantitative risk analysis} assigns real dollar figures to the loss of an asset.\\
\textbf{Qualitative risk analysis} assigns subjective and intangible values to the loss of an asset.\\

The six major steps or phases in quantitative risk analysis.

\begin{figure}[h!]
  \center
  \includegraphics[width=0.5\textwidth]{quantitativeriskanalysis}
  \caption{Quantitative Risk Analysis}
\end{figure}

\begin{description}
	\item[Exposure factor (EF)] \hfill \\
	The exposure factor (EF) represents the percentage of loss that an organization would experience if a specific asset were violated by a realized risk.
	\item[Singe loss expectancy (SLE)] \hfill \\
	The single loss expectancy (SLE) is the cost associated with a single realized risk against a specific asset. It indicates the exact amount of loss an organization would experience if an asset were harmed by a specific threat occurring.\\
	SLE = asset value (AV) * exposure factor (EF) 
	\item[Annualized rate of occurrence (ARO)] \hfill \\
	The annualized rate of occurrence (ARO) is the expected frequency with which a specific threat or risk will occur within a single year. For example, the ARO of an earthquake in Paris may be .00001, whereas the ARO of an earthquake in San Francisco may be .03 (for a 6.7+ magnitude)
	\item[Annualized loss expectancy (ALE)] \hfill \\
	The annualized loss expectancy (ALE) is the possible yearly cost of all instances of a specific realized threat against a specific asset. \\
	ALE = single loss expectancy (SLE) * annualized rate of occurrence (ARO) 
	\item[Annualized loss expectancy with safeguard] \hfill \\
	You must calculate the ALE for the asset if the safeguard is implemented. This requires a new EF and ARO specific to the safeguard. The whole point of a safeguard is to reduce the ARO. The best of all possible safeguards would reduce the ARO to zero. 
	\item[Annual cost of safeguard (ACS)] \hfill \\
	You must first compile a list of safeguards for each threat. Then you assign each safeguard a deployment value =	ACS (Annual cost of the safeguard)
	\item[Calculating safeguard cost/benefit] \hfill \\
	ALE before safeguard – ALE after implementing the safeguard – annual cost of safeguard (ACS) = value of the safeguard to the company.\\
 	If the result is positive, then that value is the annual savings your organization may reap by deploying the safeguard because the rate of occurrence is not a guarantee of occurrence. Security should be cost effective, and thus it is not prudent to spend more (in terms of cash or resources) protecting an asset than its value to the organization.
\end{description}

\subsubsection{Respond to Risk}
There are different ways to respond to risk. Once countermeasures are implemented, the risk that remains is known as \textbf{residual risk}. Residual risk comprises threats to specific assets against which upper management decided not to implement a safeguard. In most cases, the presence of residual risk indicates that the cost/benefit analysis showed that the available safeguards were not cost-effective deterrents.

\begin{description}
	\item[Risk mitigation] \hfill \\
	Reducing risk, or risk mitigation, is the implementation of safeguards and countermeasures to eliminate vulnerabilities or block threats.
	\item[Risk assignment] \hfill \\
	Assigning risk or transferring risk is the placement of the cost of loss a risk represents onto another entity or organization.
	\item[Risk Acceptance] \hfill \\
	Accepting risk, risk tolerance, or acceptance of risk is the result after a cost/benefit analysis shows countermeasure costs would outweigh the possible cost of loss due to a risk.
	\item[Risk deterrence] \hfill \\
	Risk deterrence is the process of implementing deterrents to would-be violators of security and policy. Some examples include implementation of auditing, security cameras, security guards, instructional signage, warning banners, motion detectors, strong authentication, and making it known that the organization is willing to cooperate with authorities and prosecute those who participate in cybercrime.
	\item[Risk avoidance] \hfill \\
	Risk avoidance is the process of selecting alternate options or activities that have less associated risk than the default, common, expedient, or cheap option. The risk is avoided by eliminating the risk cause.
	\item[Risk rejection] \hfill \\
	A final but unacceptable possible response to risk is to reject risk or ignore risk.
\end{description}

\subsection{Privacy}
Privacy is the right of the individual to control their personal data. Data collection should be restricted. Data owners have a responsibility to respect and enforce privacy principles. Data processes should ensure enforcement of privacy and data integrity. Data remanence techniques should be used to permanently delete data. 

\subsubsection{USA PATRIOT Act of 2001}
Congress passed the Uniting and Strengthening America by Providing Appropriate Tools Required to Intercept and Obstruct Terrorism (USA PATRIOT) Act of 2001 in direct response to the September 11, 2001, terrorist attacks in New York City and Washington, DC. The PATRIOT Act greatly broadened the powers of law enforcement organizations and intelligence agencies across a number of areas, including when monitoring electronic communications.

\subsubsection{European Union General Data Protection Regulation}
The European Union passed a new, comprehensive law covering the protection of personal information in 2016. The General Data Protection Regulation (GDPR) went into effect on May 25, 2018, and will replace the older data protection directives on that date. The new law applies to all organizations that collect data from EU residents or process that information on behalf of someone who collects it. The law even applies to organizations that are not based in the EU, if they collect information about EU residents.

Some of the key provisions of the GDPR include the following:
\begin{itemize}
	\item A data breach notification requirement that mandates that companies inform authorities of serious data breaches within 24 hours 
	\item The creation of centralized data protection authorities in each EU member state 
	\item Provisions that individuals will have access to their own data 
	\item Data portability provisions that will facilitate the transfer of personal information between service providers at the individual’s request 
	\item The “right to be forgotten” that allows people to require companies to delete their information if it is no longer needed.
\end{itemize}

